package storage

import (
	"net/http"

	"git.sp4ke.com/sp4ke/bit4sat/ln"
)

func InvoiceHttpCode(invoice *ln.Invoice) int {
	if invoice.Expired {
		return http.StatusGone
	}

	if invoice.Status == "unpaid" {
		return http.StatusPaymentRequired
	}

	return http.StatusOK

}
